S3 Get Bucket CORS
  • 06 Jun 2023
  • Dark
    Light

S3 Get Bucket CORS

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?cors

Gets the bucket's CORS configuration.

AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

cors

Must be present to retrieve bucket CORS configuration

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?cors=null'

Example Response

200 NO CONTENT

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<CORSConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <CORSRule>
        <AllowedOrigin>https://www.example.com</AllowedOrigin>
        <AllowedMethod>POST</AllowedMethod>
        <AllowedMethod>GET</AllowedMethod>
        <AllowedHeader>*</AllowedHeader>
        <ExposeHeader>x-amz-server-side-encryption</ExposeHeader>
        <MaxAgeSeconds>3600</MaxAgeSeconds>
    </CORSRule>
</CORSConfiguration>


Headers (9)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

477

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive









Was this article helpful?